pydo.invoices.get_summary_by_uuid()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.invoices.get_summary_by_uuid(
    invoice_uuid="22737513-0ea7-4206-8ceb-98a575af7681",
)
Returns JSONRaises HttpResponseError

Description

To retrieve a summary for an invoice, send a GET request to /v2/customers/my/invoices/{invoice_uuid}/summary.

Parameters

invoice_uuid string required

UUID of the invoice

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

invoice = client.invoices.get_summary_by_uuid(invoice_uuid="1")

Response Example

Show Response Example
{
  "invoice_uuid": "22737513-0ea7-4206-8ceb-98a575af7681",
  "invoice_id": "123456789",
  "billing_period": "2020-01",
  "amount": "27.13",
  "user_name": "Sammy Shark",
  "user_billing_address": {
    "address_line1": "101 Shark Row",
    "city": "Atlantis",
    "region": "OC",
    "postal_code": "12345",
    "country_iso2_code": "US",
    "created_at": "2019-09-03T16:34:46.000+00:00",
    "updated_at": "2019-09-03T16:34:46.000+00:00"
  },
  "user_company": "DigitalOcean",
  "user_email": "[email protected]",
  "product_charges": {
    "name": "Product usage charges",
    "amount": "12.34",
    "items": [
      {
        "amount": "10.00",
        "name": "Spaces Subscription",
        "count": "1"
      },
      {
        "amount": "2.34",
        "name": "Database Clusters",
        "count": "1"
      }
    ]
  },
  "overages": {
    "name": "Overages",
    "amount": "3.45"
  },
  "taxes": {
    "name": "Taxes",
    "amount": "4.56"
  },
  "credits_and_adjustments": {
    "name": "Credits & adjustments",
    "amount": "6.78"
  }
}

More Information

See /v2/customers/my/invoices/{invoice_uuid}/summary in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.